AdvertisersActivate Advertiser

Activate Advertiser

Set an advertiser's status to active.

curl -X POST "https://api.5centscdn.com/v2/ad-manager/101/advertisers/adv_8f2a/activate" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "result": "success",
  "advertiser": {
    "id": "adv_8f2a",
    "publisher_id": "10042",
    "name": "Acme Corp",
    "contact_name": "Jane Smith",
    "contact_email": "jane@acmecorp.com",
    "status": "active",
    "created_at": "2026-01-15T10:30:00Z",
    "metadata": [],
    "updated_at": "2026-01-15T10:30:00Z"
  }
}
POST
/ad-manager/{pid}/advertisers/{advId}/activate
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

path
pidinteger
Required

ID of the Ad Manager project.

path
advIdstring
Required

ID of the advertiser.

Content-Typestring
Required

The media type of the request body

Options: application/json
No request body parameters defined
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

pidinteger
Required

ID of the Ad Manager project.

Example:
101
advIdstring
Required

ID of the advertiser.

Example:
adv_8f2a

Body

application/json
dataobject
Required

Raw application/json data

Responses

resultstring

Operation outcome.

Allowed values:successerror
advertiserstring